List pending points buckets
curl --request GET \
--url https://api.voucherify.io/v2/loyalties/programs/{programId}/members/{memberId}/cards/{cardId}/pending-points \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"card_id": "<string>",
"card_definition_id": "<string>",
"program_id": "<string>",
"card_type": "<string>",
"member_id": "<string>",
"points": {
"total": 123
},
"date": "2023-12-25",
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}List pending points buckets
⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Lists pending points buckets for a specific card. Only returns PENDING buckets with future activation dates. If the card definition does not have pending points enabled, returns an empty list.
GET
/
v2
/
loyalties
/
programs
/
{programId}
/
members
/
{memberId}
/
cards
/
{cardId}
/
pending-points
List pending points buckets
curl --request GET \
--url https://api.voucherify.io/v2/loyalties/programs/{programId}/members/{memberId}/cards/{cardId}/pending-points \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"card_id": "<string>",
"card_definition_id": "<string>",
"program_id": "<string>",
"card_type": "<string>",
"member_id": "<string>",
"points": {
"total": 123
},
"date": "2023-12-25",
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique program identifier
Unique member identifier
Unique card identifier
Query Parameters
Number of results to return (1-100, default 10)
Required range:
1 <= x <= 100Sort order for results
Available options:
date, -date Cursor token for pagination
Last modified on June 2, 2026
Was this page helpful?
⌘I

